<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (\DB::table('invoices')->count()) {
            throw new \Exception('Migration not possibue for current bills.');
        }

        Schema::table('invoices', function (Blueprint $table) {
            $table->dropColumn('greeting');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('invoices', function (Blueprint $table) {
            $table->string('greeting');
        });
    }
};
